package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.CustomerDiningRecord;
import com.jpsoft.shinestar.modules.base.entity.PersonHealthLedger;
import com.jpsoft.shinestar.modules.base.entity.PersonPopedom;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-5-24 14:02
 */

public interface CustomerDiningRecordService {
    CustomerDiningRecord get(String id);
    boolean exist(String id);
    int insert(CustomerDiningRecord model);
    int update(CustomerDiningRecord model);
    int delete(String id);
    List<CustomerDiningRecord> list();
    Page<CustomerDiningRecord> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    String customerDiningSubmit(PersonPopedom personPopedom, String customerCompany, String reason, Integer customerNum, Integer accompanyNum, String diningTime, String diningName, String diningFee, String formId,String ids,String draft) throws Exception;
}
